%define base_name	kwin-style
%define theme_name	mkultra
%define name		%{base_name}-%{theme_name}
%define version		0.3.2
%define release		3mdk
%define summary		Mkultra is a KWin style derived from the minimalist and excellent Web style.

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/content/show.php?content=13251
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
MKUltra -- a simple KWin client for those of you who aren't impressed
by glowing throbbing reflective alpha channeled ugly monstrosities.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
#make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-2mdk
- Rebuild + fix x86_64

* Tue Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 0.3.2-1mdk
- mkultra is back ( 0.3.2 )
